;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                                     ;;;
;;;                     Carnegie Mellon University                      ;;;
;;;                  and Alan W Black and Kevin Lenzo                   ;;;
;;;                      Copyright (c) 1998-2000                        ;;;
;;;                        All Rights Reserved.                         ;;;
;;;                                                                     ;;;
;;; Permission is hereby granted, free of charge, to use and distribute ;;;
;;; this software and its documentation without restriction, including  ;;;
;;; without limitation the rights to use, copy, modify, merge, publish, ;;;
;;; distribute, sublicense, and/or sell copies of this work, and to     ;;;
;;; permit persons to whom this work is furnished to do so, subject to  ;;;
;;; the following conditions:                                           ;;;
;;;  1. The code must retain the above copyright notice, this list of   ;;;
;;;     conditions and the following disclaimer.                        ;;;
;;;  2. Any modifications must be clearly marked as such.               ;;;
;;;  3. Original authors' names are not deleted.                        ;;;
;;;  4. The authors' names are not used to endorse or promote products  ;;;
;;;     derived from this software without specific prior written       ;;;
;;;     permission.                                                     ;;;
;;;                                                                     ;;;
;;; CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK        ;;;
;;; DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING     ;;;
;;; ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT  ;;;
;;; SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE     ;;;
;;; FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES   ;;;
;;; WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN  ;;;
;;; AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,         ;;;
;;; ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF      ;;;
;;; THIS SOFTWARE.                                                      ;;;
;;;                                                                     ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;					edited by firoj at 2008
;;; Phonset for crblp_bnBD
;;;

;;;  Feeel free to add new feature values, or new features to this
;;;  list to make it more appropriate to your language

;; This is where it'll fall over if you haven't defined a 
;; a phoneset yet, if you have, delete this, if you haven't
;; define one then delete this error message
;(error "You have not yet defined a phoneset for bnBD (and others things ?)\n            Define it in festvox/crblp_bnBD_alg_phoneset.scm\n")

(defPhoneSet
  crblp_bnBD
  ;;;  Phone Features
  (;; vowel or consonant
   (vc + -)  
   ;; vowel length: short long diphthong schwa
   (vlng s l d a 0)
   ;; vowel height: high mid low
   (vheight 1 2 3 -)
   ;; vowel frontness: front mid back
   (vfront 1 2 3 -)
   ;; lip rounding
   (vrnd + -)
   ;; vowel tense
   (vtens + - 0)
   ;; consonant type manner of articulation: stop nasal tril flap fricative lateral glide/Approximent
   (ctype s n t fl f l a 0)
   ;; place of articulation: bilabial dental alveolar post-alveolar palatal velar glottal
   (cplace b d a pa p v g 0)
   ;; consonant voicing
   (cvox + - 0)
   ;; consonant aspiration
   (casp + - 0)
   )
 ;; Phone set members
  (
;   (SIL  - 0 0 0 - - 0 0 0 0)  ;; silence ... 
   (	SIL	-	0	-	-	-	-	0	0	0	0	)
;   (#  - 0 0 0 - - 0 0 0 0)  ;; silence ... 
   (	#	-	0	-	-	-	-	0	0	0	0	)
;   (B_10 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_10	-	0	-	-	-	-	0	0	0	0	)
;   (B_20 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_20	-	0	-	-	-	-	0	0	0	0	)
;   (B_30 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_30	-	0	-	-	-	-	0	0	0	0	)
;   (B_40 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_40	-	0	-	-	-	-	0	0	0	0	)
;   (B_50 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_50	-	0	-	-	-	-	0	0	0	0	)
;   (B_100 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_100	-	0	-	-	-	-	0	0	0	0	)
;   (B_150 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_150	-	0	-	-	-	-	0	0	0	0	)
;   (B_200 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_200	-	0	-	-	-	-	0	0	0	0	)
;   (B_250 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_250	-	0	-	-	-	-	0	0	0	0	)
;   (B_300 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_300	-	0	-	-	-	-	0	0	0	0	)
;   (B_400 - 0 0 0 - - 0 0 0 0)  ;; Pauses
      (	B_400	-	0	-	-	-	-	0	0	0	0	)
   ;;VC - Vowel or Consonants
   ;;VL Vowel Length
   ;;VH Vowel Height
   ;;VF Vowel front
   ;;LR Vowel Lip Rounding
   ;;VT vowel Tense
   ;;MA consonant: manner of articulation
   ;;PA consonant: place of articulation
   ;;V consonant voicing
   ;;CA consonant aspiration
   
  
 ;	;	VC	VL	VH	VF	LR	VT	MA	PA	V	CA	
(	a	+	s	3	2	-	-	0	0	0	0	)
(	aa	+	s	3	2	-	-	0	0	0	0	)
(	i	+	s	1	1	-	-	0	0	0	0	)
(	u	+	s	1	1	+	-	0	0	0	0	)
(	e	+	s	2	2	-	-	0	0	0	0	)
(	o	+	s	2	3	+	-	0	0	0	0	)
(	a~	+	s	3	3	-	-	0	0	0	0	)
(	aa~	+	s	3	2	-	-	0	0	0	0	)
(	i~	+	s	1	1	-	-	0	0	0	0	)
(	ü	+	s	1	3	+	-	0	0	0	0	)
(	o~	+	s	2	3	+	-	0	0	0	0	)
(	e~	+	s	2	2	-	-	0	0	0	0	)
(	ae	+	s	3	2	-	-	0	0	0	0	)
(	ae~	+	s	3	2	-	-	0	0	0	0	)
(	ao	+	d	-	-	-	0	0	0	0	0	)
(	aai	+	d	-	-	-	0	0	0	0	0	)
(	aau	+	d	-	-	-	0	0	0	0	0	)
(	aya	+	d	-	-	-	0	0	0	0	0	)
(	iu	+	d	-	-	-	0	0	0	0	0	)
(	ie	+	d	-	-	-	0	0	0	0	0	)
(	io	+	d	-	-	-	0	0	0	0	0	)
(	ia	+	d	-	-	-	0	0	0	0	0	)
(	ui	+	d	-	-	-	0	0	0	0	0	)
(	ua	+	d	-	-	-	0	0	0	0	0	)
(	ue	+	d	-	-	-	0	0	0	0	0	)
(	uo	+	d	-	-	-	0	0	0	0	0	)
(	ei	+	d	-	-	-	0	0	0	0	0	)
(	eu	+	d	-	-	-	0	0	0	0	0	)
(	eo	+	d	-	-	-	0	0	0	0	0	)
(	ea	+	d	-	-	-	0	0	0	0	0	)
(	eea	+	d	-	-	-	0	0	0	0	0	)
(	oi	+	d	-	-	-	0	0	0	0	0	)
(	ou	+	d	-	-	-	0	0	0	0	0	)
(	oa	+	d	-	-	-	0	0	0	0	0	)
(	oe	+	d	-	-	-	0	0	0	0	0	)

;;consonants
;
;	VC	VL	VH	VF	LR	VT	MA	PA	V	CA	
(	k	-	0	-	-	-	-	s	v	-	-	)
(	kh	-	0	-	-	-	-	s	v	-	+	)
(	g	-	0	-	-	-	-	s	v	+	-	)
(	gh	-	0	-	-	-	-	s	v	+	+	)
(	ng	-	0	-	-	-	-	n	v	+	0	)
(	c	-	0	-	-	-	-	s	pa	-	-	)
(	ch	-	0	-	-	-	-	s	pa	-	+	)
(	j	-	0	-	-	-	-	s	pa	+	-	)
(	jh	-	0	-	-	-	-	s	pa	+	+	)
(	t	-	0	-	-	-	-	s	a	-	-	)
(	th	-	0	-	-	-	-	s	a	-	+	)
(	d	-	0	-	-	-	-	s	a	+	-	)
(	dh	-	0	-	-	-	-	s	a	+	+	)
(	n	-	0	-	-	-	-	n	a	+	0	)
(	ta	-	0	-	-	-	-	s	d	-	-	)
(	tah	-	0	-	-	-	-	s	d	-	+	)
(	da	-	0	-	-	-	-	s	d	+	-	)
(	dah	-	0	-	-	-	-	s	d	+	+	)
(	p	-	0	-	-	-	-	s	b	-	-	)
(	ph	-	0	-	-	-	-	s	b	-	+	)
(	b	-	0	-	-	-	-	s	b	+	-	)
(	bh	-	0	-	-	-	-	s	b	+	+	)
(	m	-	0	-	-	-	-	n	b	+	0	)
(	r	-	0	-	-	-	-	t	a	+	0	)
(	l	-	0	-	-	-	-	l	a	+	0	)
(	sh	-	0	-	-	-	-	f	p	-	0	)
(	s	-	0	-	-	-	-	f	p	-	0	)
(	h	-	0	-	-	-	-	f	g	+	0	)
(	y	-	0	-	-	-	-	a	p	+	0	)
(	ra	-	0	-	-	-	-	fl	a	-	0	)

)
)

(PhoneSet.silences '(pau))

(define (crblp_bnBD_alg::select_phoneset)
  "(crblp_bnBD_alg::select_phoneset)
Set up phone set for crblp_bnBD."
  (Parameter.set 'PhoneSet 'crblp_bnBD)
  (PhoneSet.select 'crblp_bnBD)
)

(define (crblp_bnBD_alg::reset_phoneset)
  "(crblp_bnBD_alg::reset_phoneset)
Reset phone set for crblp_bnBD."
  t
)

(provide 'crblp_bnBD_alg_phoneset)
